// KernelUpgrade.h: interface for the TKernelUpgrade class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_KernelUpgrade_INCLUDED_)
#define _KernelUpgrade_INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


#include "Engine/Module.h"


#undef DECL
#ifdef ENGINE_DLL
#define DECL _declspec(dllexport)
#else
#define DECL _declspec(dllimport)
#endif


class DECL TKernelUpgrade : public CControlPanelEntry
{
public:
   TKernelUpgrade();
   virtual ~TKernelUpgrade() {};
   void InsertItems(CTreeCtrl * pTree);
   bool EditItem(CWnd* pParent, HTREEITEM hItem, CTreeCtrl * pTree);
   CString FindUpgrade(CString Folder, CString Mask);
   bool FindUpgrade(int Skip, CString& KernelUpgrade, CString& ApplicationUpgrade, CString& ApplicationDestination);
};


#endif // !defined(_KernelUpgrade_INCLUDED_)
