// LogExportOptionsDlg.h : header file
//

#if !defined(AFX_LOGEXPORTOPTIONSDLG_H__FD96C3DE_79D9_4989_9E5A_FE3AB3380E2B__INCLUDED_)
#define AFX_LOGEXPORTOPTIONSDLG_H__FD96C3DE_79D9_4989_9E5A_FE3AB3380E2B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "resource.h"
#include "Engine/Engine.h"


/////////////////////////////////////////////////////////////////////////////
// CLogExportOptionsDlg dialog

class CLogExportOptionsDlg : public TDialog
{
// Construction
public:
	CLogExportOptionsDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CLogExportOptionsDlg)
	enum { IDD = IDD_EXPORT_LOG_OPT };
	BOOL	m_fIncludeStationHeader;
	BOOL	m_fUseBadDataVal;
	CString	m_strBadDataVal;
	BOOL	m_fRecordIDBeforeDate;
	BOOL	m_fIncludeFieldHeader;
	BOOL	m_fIncludeUnitsHeader;
	BOOL	m_fPrintNOTE;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLogExportOptionsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CLogExportOptionsDlg)
	afx_msg void OnBtnChangeBadDataVal();
	afx_msg void OnCheckSetBadDataToVal();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LOGEXPORTOPTIONSDLG_H__FD96C3DE_79D9_4989_9E5A_FE3AB3380E2B__INCLUDED_)
